Print

Print


Preben Randhol wrote:
>
> when I try to compile it I get:
>
> gnatmake mine_detector.adb `gtkada-config`
> gnatgcc -c -I/usr/include/gtkada -I/usr/lib/gtkada user_if.adb
> field-operations.ads:22:57: too few discriminants given in constraint
> gnatmake: "user_if.adb" compilation error
>
> System: Linux 2.2.x, GNAT 3.13p

In an impressive failure of regression testing, the distributed source
for Mine Detector did not use the most recent version of some of the
PragmARCs, resulting in this error. A new source distribution is now in
place at

http://home.earthlink.net/~jrcarter010/mindet.html

(or through the link at www.adapower.com) that should correct this. Were
you able to run the Linux executable release?

Some users running the Win32 executable report the window disappearing
as soon as it occurs. One possible reason for this is that the
executable was built using GtkAda 1.3.10, and the users have GtkAda
1.3.12 installed on their systems. This can be alleviated by insuring
that the executable loads the DLLs that come with the executable, or by
building from source.

--
Jeff Carter
"My brain hurts!"
Monty Python's Flying Circus